#!/bin/bash

reads=$1
qual=$2
output=$3
loop=$4

ln -s $reads reads

if [ $qual != "None" ]
then
  ln -s $qual reads.qual
  #mv $qual $reads.qual 2> output
fi

if [ $# -lt 5 ]
then

 cap3 reads 2>&1 1>$output
 for ((i=1; i<$loop; i++))
 do
  concatContigs.pl reads.cap.contigs reads.cap.singlets
  cap3 ConcatContigs.out 2>&1 1>$output
  mv ConcatContigs.out.cap.contigs reads.cap.contigs
  mv ConcatContigs.out.cap.singlets reads.cap.singlets
 done

else

 cap3 reads -a $5 -b $6 -c $7 -d $8 -e $9 -f $10 -g ${11} -h ${12} -i ${13} -j ${14} -k ${15} -m ${16} -n ${17} -o ${18} -p ${19} -r ${20} -s ${21} -t ${22} -u ${23} -v ${24} -y ${25} -z ${26} 2>&1 1>$output
 for ((i=1; i<$loop; i++))
 do
  concatContigs.pl reads.cap.contigs reads.cap.singlets
  cap3 reads -a $5 -b $6 -c $7 -d $8 -e $9 -f $10 -g ${11} -h ${12} -i ${13} -j ${14} -k ${15} -m ${16} -n ${17} -o ${18} -p ${19} -r ${20} -s ${21} -t ${22} -u ${23} -v ${24} -y ${25} -z ${26} 2>&1 1>$output
  mv ConcatContigs.out.cap.contigs reads.cap.contigs
  mv ConcatContigs.out.cap.singlets reads.cap.singlets
 done 

fi

concatContigs.pl reads.cap.contigs reads.cap.singlets
mv ConcatContigs.out reads.cap
getcontigs.pl reads.cap
