#!/bin/bash

if [ $1 == "list" ]; then
        bamlist=$2 
else
   samtools view -H $2 |  grep "@RG" | \
   awk -v bamfile=$2 '{split($2,a,":");  split($3,b,":"); if (match(b[2],/^[0-9]+$/)){name=""} else {name="\t"b[2]}; \
   system("samtools view -b -r " a[2] " " bamfile	 " | samtools sort -  " a[2]); print a[2]".bam"name}' > Reads2SNP_output #listeBam.txt

#   bamlist="./listeBam.txt"
   bamlist="./Reads2SNP_output"
fi 
reads2snp_2.0 \
-bamlist $bamlist   \
-bamref $3 \
-out $4  \
-nbth $5 \
$6 \
-min $7 \
-fis $8 \
-th1 $9 \
-par ${10} \
-th2 ${11} \
${12} \
${13} \
-opt ${14} \
-pre ${15} \
${16} \
-rlg ${17} \
-bqt ${18} \
-rqt ${19} \
-rleading ${20} \
-rtrailing ${21}

#remove individual bam files
#if [ -f ./listeBam.txt ]
if [ -f ./Reads2SNP_output ]
then
    while read line
    do 
       rm -f $line;
       echo $line;
#    done < "./listeBam.txt"
    done < "./Reads2SNP_output"
fi

